#!/usr/bin/perl

$base = 0;
for (@ARGV) {
    ($first, $skip, $last) = split(/:/, $_);
    if ($last eq undef) {
	print STDERR "invalid range: $_\n";
	exit 1;
    }

    $first += $base;
    $last += $base;

    while ($first <= $last) {

	if ($skip < 0) {
	    print "$first\n" x (-$skip);
	    $first++;
	}
	else {
	    print "$first\n";
	    $first += $skip;
	}
    }
    $base = $first;
}
